Bug 43177 - [WML] Include FormDataBuilder.h in WMLGoElement.h
Summary: [WML] Include FormDataBuilder.h in WMLGoElement.h
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-29 00:48 PDT by Gyuyoung Kim
Modified: 2010-08-07 20:13 PDT (History)
1 user (show)

See Also:


Attachments
patch (1017 bytes, patch)
2010-07-29 00:52 PDT, Gyuyoung Kim
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gyuyoung Kim 2010-07-29 00:48:52 PDT
There are build breaks because of WMLGoElement.cpp as below,

/home/gyuyoung/webkit/WebKit-EFL/WebCore/wml/WMLGoElement.cpp: In member function ‘void WebCore::WMLGoElement::preparePOSTRequest(WebCore::ResourceRequest&, bool, const WebCore::String&)’:
/home/gyuyoung/webkit/WebKit-EFL/WebCore/wml/WMLGoElement.cpp:159: error: ‘FormDataBuilder’ has not been declared
/home/gyuyoung/webkit/WebKit-EFL/WebCore/wml/WMLGoElement.cpp: In member function ‘WTF::PassRefPtr<WebCore::FormData> WebCore::WMLGoElement::createFormData(const WTF::CString&)’:
/home/gyuyoung/webkit/WebKit-EFL/WebCore/wml/WMLGoElement.cpp:192: error: ‘FormDataBuilder’ has not been declared
/home/gyuyoung/webkit/WebKit-EFL/WebCore/wml/WMLGoElement.cpp:203: error: ‘FormDataBuilder’ has not been declared
/home/gyuyoung/webkit/WebKit-EFL/WebCore/wml/WMLGoElement.cpp:204: error: ‘FormDataBuilder’ has not been declared
/home/gyuyoung/webkit/WebKit-EFL/WebCore/wml/WMLGoElement.cpp:212: error: ‘FormDataBuilder’ has not been declared
/home/gyuyoung/webkit/WebKit-EFL/WebCore/wml/WMLGoElement.cpp:216: error: ‘FormDataBuilder’ has not been declared
make[2]: *** [WebCore/CMakeFiles/webcore_efl.dir/wml/WMLGoElement.cpp.o] error 1
make[1]: *** [WebCore/CMakeFiles/webcore_efl.dir/all] error 2

In order to fix these breaks, FormDataBuilder.h needs to be included in WMLGoElement.cpp.
Comment 1 Gyuyoung Kim 2010-07-29 00:52:23 PDT
Created attachment 62926 [details]
patch
Comment 2 Eric Seidel (no email) 2010-08-06 13:06:44 PDT
Comment on attachment 62926 [details]
patch

OK.
Comment 3 Eric Seidel (no email) 2010-08-07 20:13:41 PDT
Comment on attachment 62926 [details]
patch

Clearing flags on attachment: 62926

Committed r64932: <http://trac.webkit.org/changeset/64932>
Comment 4 Eric Seidel (no email) 2010-08-07 20:13:46 PDT
All reviewed patches have been landed.  Closing bug.